Skip to main content
POST
Restore dataset

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Path Parameters

dataset_id
string<uuid>
required

Dataset id

Body

application/json
version
string
required

The dataset version to restore to, such as the xact_id of a dataset snapshot

Response

Number of rows the restore changed

xact_id
string | null
required

Transaction id of the restore, or null if the restore made no changes

rows_restored
integer
required

Number of rows restored to their value at the requested version

rows_deleted
integer
required

Number of rows created after the requested version that were deleted